From 280fa0101a57ae2e082beaee5811334b669400a2 Mon Sep 17 00:00:00 2001
From: Sergey Fedorov <barracuda@macos-powerpc.org>
Date: Sat, 7 Dec 2024 19:02:23 +0800
Subject: [PATCH 2/4] libplatform: use ObjC flags on Apple

---
 src/lib/platform/CMakeLists.txt | 5 +++++
 1 file changed, 5 insertions(+)

diff --git src/lib/platform/CMakeLists.txt src/lib/platform/CMakeLists.txt
index 75551b71..d5aba571 100644
--- src/lib/platform/CMakeLists.txt
+++ src/lib/platform/CMakeLists.txt
@@ -46,4 +46,9 @@ endif()
 if (APPLE)
     find_library(COCOA_LIBRARY Cocoa)
     target_link_libraries(platform ${COCOA_LIBRARY})
+    target_compile_options(platform PRIVATE
+        $<$<COMPILE_LANGUAGE:C>:-fobjc-exceptions>
+        $<$<COMPILE_LANGUAGE:C>:-xobjective-c>
+        $<$<COMPILE_LANGUAGE:CXX>:-fobjc-exceptions>
+    )
 endif()
-- 
2.47.1

